
/*-------------------------------
  Website CSS
  -------------------------------*/

body {
    margin: 0;
    height: 100vh;
    overflow: hidden;
}

.Title {
    position: fixed;
    top: 5%;
    left: 50%;
    transform: translateX(-50%);
    font-size: 36px;
    font-weight: bold;
    color: white;
    z-index: 100;
}

.TitleBox {
    position: fixed;
    top: 10px;
    left: 50%;
    transform: translateX(-50%);

    width: 300px;
    height: 80px;
    border-radius: 10px;

    font-size: 36px;
    font-weight: bold;

    background-color: #000000;
    color: white;

    display: flex;
    justify-content: center;
    align-items: center;

    cursor: pointer;

    z-index: 100;
}
/*-------------------------------
  Timeline CSS
  -------------------------------*/

.timeline-viewport {
    position: fixed;
    width: 100vw;
    height: 100vh;

    display: flex;
    justify-content: center;
    align-items: center;

    overflow: hidden;
    cursor: grab;
}


.timeline-container {
    position: relative;
    width: 90%;
    height: 500px;
}

.timeline {
    position:absolute;
    top: 50%;
    left: 0%;
    width: 100%;
    height: 4px;
    background-color: #4444d9;
}

.yearline {
    position:absolute;
    top: 50%;
    left: 5%;
    width: 0.2%;
    height: 20px;
    background-color: #4444d9;

    transform: translateY(-50%);
}

.big-yearline {
    position:absolute;
    top: 50%;
    left: 5%;
    height: 30px;
    width: 3px;
    background-color: #4444d9;

    transform: translateY(-50%);
}

/*------------------------------
  Event Box CSS
  ------------------------------*/

.eventbox {
    position: absolute;

    width: 180px;
    padding: 10px;

    border: 2px solid #000;
    border-radius: 6px;

    background-color: white;

    transform: translateX(-50%);

    cursor: pointer;

    z-index: 2;
}

.event-line {
    position: absolute;

    width: 2px;
    background-color: #000;

    transform: translateX(-50%);

    z-index: -1;
}

.event-dot {
    position: absolute;

    width: 10px;
    height: 10px;

    border-radius: 50%;
    background-color: #000;

    transform: translate(-50%, -50%);

    z-index: 3;
}

/*------------------------------
  Information inside Event Box CSS
  ------------------------------*/

.event-name {
    font-weight: bold;

    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;

    margin-bottom: 8px;
}

.event-details {
    display: flex;
    justify-content: space-between;

    font-size: 12px;
}

/*------------------------------
  XXX
  ------------------------------*/